
Figure - Bug #118315
【IOVDEV-31024】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【蓝牙】 副屏在蓝牙耳机主动断
开之后，偶现自动播放刚刚暂停的QQ音乐
2023-05-27 18:22 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-27

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: LC Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0082.c101����【副屏版本号】：01.00.0100.c103

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230527 16：27

【前提条件】：副屏上电；中控、功放已连接；副屏、中控时间一致，蓝牙耳机设备已连接，暂停QQ音乐

【操作步骤】

1.直接把蓝牙耳机放入耳机盒子，关闭蓝牙

【实际结果】

1.蓝牙耳机显示断开，副屏播放刚刚暂停的QQ音乐

【期望结果】

1.显示蓝牙耳机设备断开

【备注】：

偶现问题  目前是第一次遇到

第165次开机

开机时长：23min左右

蓝牙设备型号:安卓蓝牙耳机

日志、视频地址：https://ofs.human-horizons.com/#/download/index/hoGHLvjov88%3D

中控VIN号：HRYTTESTVINMGM817

【中控版本号】：03.02.0082.c101

【副屏版本号】：01.00.0100.c103

History

#1 - 2023-05-27 18:23 - CDTS_Test 吴诗雨

日志下载中，稍后上传

#2 - 2023-05-27 18:31 - CDTS_Test 吴诗雨
16.27 100版本  第165次开机 副屏在蓝牙耳机主动断开之后，偶现自动播放刚刚暂停的QQ音乐

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118315

#3 - 2023-05-29 10:53 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD LC 陶洪普

Hi ALL

根据当前的日志，在蓝牙断开时，触发了播放的keyevent,导致了音乐的继续播放。

1214:05-27 16:26:26.820  7955  8024 D bt_btif : LCB lcb=1 event=LL_MSG_EVT state=LCB_OPEN_ST

1215:05-27 16:26:26.820  7955  8024 D bt_btif : bta_av_rc_msg_cback handle: 0 opcode=0x7c

1216:05-27 16:26:26.820  7955  8024 D bt_btif : bta_av_rc_msg_cback data_len: 0

1217:05-27 16:26:26.820  7955  8024 D bt_btif : LCB lcb=1 event=UL_MSG_EVT state=LCB_OPEN_ST

1221:05-27 16:26:26.821  7955  7981 D bt_btif : btif_av_state_opened_handler: event: BTA_AV_REMOTE_CMD_EVT, flags: 0, peer_sep: 1, index: 0

reconfig_event: 0, codec_cfg_change: 0, reconfig_pending: 0, reconfig_a2dp: 0, is_retry_reconfig: 0

1223:05-27 16:26:26.822  7955  7981 D bt_btif : btif_rc_handler: event: BTA_AV_REMOTE_CMD_EVT

1224:05-27 16:26:26.822  7955  7981 W bt_btif : BTHF: btif_hf_check_if_sco_connected(): No SCO connection up

1225:05-27 16:26:26.822  7955  7981 W bt_btif : BTHF: btif_hf_check_if_sco_connected(): No SCO connection up

1226:05-27 16:26:26.822  7955  8024 D bt_btif : LCB lcb=1 event=LL_CLOSE_EVT state=LCB_OPEN_ST

1227:05-27 16:26:26.822  7955  8024 D bt_btif : bta_av_rc_ctrl_cback handle: 0, result 0, event=0x1

1228:05-27 16:26:26.822  7955  7981 D Avrcp_ext: Enter handlePassthroughCmdRequestFromNative

1229:05-27 16:26:26.823  7955  8024 D bt_btif : bta_av_del_rc: handle: 0 status=0x10, rc_acp_handle:1, idx:2

1230:05-27 16:26:26.823  7955  8024 D bt_btif : AVRC_Close handle:0, clean up all system resources

1231:05-27 16:26:26.823  7955  8024 W bt_btif : Remove Addr is 34:9f:f4:45:0f:aa

1232:05-27 16:26:26.823  7955  8024 W bt_btif : Remove Addr is 34:9f:f4:45:0f:aa

1233:05-27 16:26:26.823  7955  7981 D Avrcp_ext: Exit handlePassthroughCmdRequestFromNative

1234:05-27 16:26:26.824  7955  8035 V Avrcp_ext: AvrcpMessageHandler: received message=13

1235:05-27 16:26:26.824  7955  8035 V Avrcp_ext: MSG_NATIVE_REQ_PASS_THROUGH: id = 68 st = 1

1236:05-27 16:26:26.827  7955  8035 V Avrcp_ext: MSG_NATIVE_REQ_PASS_THROUGH 34:9F:F4:45:0F:AA

1240:05-27 16:26:26.829  7955  8035 I Avrcp_ext: device found at index 0

1241:05-27 16:26:26.829  7955  8035 D Avrcp_ext: passthrough from device: 34:9F:F4:45:0F:AA

1242:05-27 16:26:26.829  7955  8035 I Avrcp_ext: A2dpSupported true AvrcpSupported true

1249:05-27 16:26:26.830  7955  8035 D Avrcp_ext: Active device: 34:9F:F4:45:0F:AA ★★★活动的设备

1255:05-27 16:26:26.831  7955  8024 D bt_btif : bta_av_ssm_execute(): AV Sevent(0x41)=0x121e(STR_CLOSE) state=3(OPEN)

1256:05-27 16:26:26.831  7955  8024 W bt_btif : bta_av_str_closed: peer_addr=34:9f:f4:45:0f:aa open_status=0 chnl=64 hndl=65 co_started=0

1259:05-27 16:26:26.832  7955  8024 W bt_btif : bta_av_str_closed Open success !!!

1261:05-27 16:26:26.832  7955  8024 E bt_btif : bta_av_co_get_active_peer: peer index out of bounds: 5

1262:05-27 16:26:26.832  7955  8024 E bt_btif : btif_av_is_split_a2dp_enabled:  No active peer codec config found, by default splitmode

1313:05-27 16:26:26.833  7955  8024 W bt_btif : bta_dm_rm_cback:2, status:1

1316:05-27 16:26:26.833  7955  8024 W bt_btif : bta_dm_rm_cback:2, status:1

1319:05-27 16:26:26.833  7955  8024 W bt_btif : bta_av_conn_chg: No other AV connection up, close all RC

1320:05-27 16:26:26.833  7955  8024 D bt_btif : bta_av_ssm_execute(): AV Sevent(0x41)=0x1227(AVDT_DISCONNECT) state=0(INIT)

1321:05-27 16:26:26.833  7955  8024 D bt_btif : bta_av_sig_chg:event: 17, conn_acp: 0 addr 34:9f:f4:45:0f:aa

1322:05-27 16:26:26.834  7955  8024 D bt_btif : bta_ag_hdl_event: p_scb 0x6efa5d68 

1325:05-27 16:26:26.834  7955  8035 I Avrcp_ext: A2dpSupported true AvrcpSupported true

1326:05-27 16:26:26.834  7955  8024 E bt_btif : 34:9f:f4:45:0f:aa

1327:05-27 16:26:26.834  7955  8024 E bt_btif : 34:9f:f4:45:0f:aa

1328:05-27 16:26:26.834  7955  8035 D Avrcp_ext: ignore_play: false

1329:05-27 16:26:26.834  7955  8024 D bt_btif : bta_ag_sco_event: index=0xffff, device=34:9f:f4:45:0f:aa, state=BTA_AG_SCO_LISTEN_ST[1],
event=BTA_AG_SCO_SHUTDOWN_E[6]

1330:05-27 16:26:26.834  7955  8024 E bt_btif : 34:9f:f4:45:0f:aa

1331:05-27 16:26:26.834  7955  8024 D bt_btif : BTA AG SCO State Change: [BTA_AG_SCO_LISTEN_ST] -> [BTA_AG_SCO_SHUTDOWN_ST] after Event

[BTA_AG_SCO_SHUTDOWN_E]

1332:05-27 16:26:26.834  7955  8035 D Avrcp_ext: Avrcp current play state: 2 isMusicActive: false A2dp state: 11 Cached passthrough command: 0

1337:05-27 16:26:26.837  7955  8035 D Avrcp_ext: cached passthrough: 0current passthrough: 126 ★★★ 事件从0 -> 126（media播放） 

1338:05-27 16:26:26.838  1537  7286 D MediaSessionService: Sending KeyEvent { action=ACTION_DOWN, keyCode=KEYCODE_MEDIA_PLAY,

scanCode=0, metaState=0, flags=0x0, repeatCount=0, eventTime=0, downTime=0, deviceId=-1, source=0x0, displayId=0 } to

com.android.music/MediaPlaybackService (userId=0)

000165_manual_00045_230527_162535.log:1338:05-27 16:26:26.838  1537  7286 D MediaSessionService: Sending KeyEvent { action=ACTION_DOWN,

keyCode=KEYCODE_MEDIA_PLAY, scanCode=0, metaState=0, flags=0x0, repeatCount=0, eventTime=0, downTime=0, deviceId=-1, source=0x0,

displayId=0 } to com.android.music/MediaPlaybackService (userId=0)

000165_manual_00045_230527_162535.log:1423:05-27 16:26:26.870  1537 18319 D MediaSessionService: Sending KeyEvent { action=ACTION_UP,

keyCode=KEYCODE_MEDIA_PLAY, scanCode=0, metaState=0, flags=0x0, repeatCount=0, eventTime=0, downTime=0, deviceId=-1, source=0x0,

displayId=0 } to com.android.music/MediaPlaybackService (userId=0)  ★★★ 发送play的事件给mediaplayeback服务

000165_manual_00045_230527_162535.log:1834:05-27 16:26:26.928  1537  2855 I MediaFocusControl: requestAudioFocus() from uid/pid 10087/5833

AA=USAGE_MEDIA/CONTENT_TYPE_MUSIC clientId=android.media.AudioManager@6f866f3com.android.music.MediaPlaybackService$4@a140fb0

callingPack=com.android.music req=1 flags=0x0 sdk=31 ★★★ 收到事件后，申请焦点播放

000165_manual_00045_230527_162535.log:1838:05-27 16:26:26.929  1537  4145 D AudioService.PlaybackActivityMonitor:

idcm_af:requestAudioFocusToIDCM: event=2(PLAYER_STATE_STARTED)apc =AudioPlaybackConfiguration piid:79 deviceId:3

type:android.media.MediaPlayer u/pid:10087/5833 state:paused attr:AudioAttributes: usage=USAGE_MEDIA content=CONTENT_TYPE_MUSIC flags=0x800

tags= bundle=null sessionId:0 ★★★ 播放

下一步：

请蓝牙组分析是否发送了按键事件导致了音乐的播放。

#4 - 2023-05-29 16:57 - Multimedia组-RD3_TSCD 梁卿山

- Category changed from AUDIO-FW to LC

#5 - 2023-05-29 18:39 - CD LC 陶洪普

000165_manual_00045_230527_162535.log:05-27 16:26:26.864  7955  7981 D Avrcp_ext: Enter handlePassthroughCmdRequestFromNative

000165_manual_00045_230527_162535.log:05-27 16:26:26.864  7955  7981 D Avrcp_ext: Exit handlePassthroughCmdRequestFromNative

000165_manual_00045_230527_162535.log:05-27 16:26:26.865  7955  8035 D Avrcp_ext: passthrough from device: 34:9F:F4:45:0F:AA

000165_manual_00045_230527_162535.log:05-27 16:26:26.869  7955  8035 D Avrcp_ext: Avrcp current play state: 2 isMusicActive: false A2dp state: 11 Cached passthrough

command: 126

-----

    /** Key code constant: Play media key. */

    public static final int KEYCODE_MEDIA_PLAY      = 126;

05-27 16:26:26.865  7955 18873 D AvrcpControllerStateMachine: moveTempStackToStateStack: X mStateStackTop=0,startingIndex=0,Top=Disconnecting

05-27 16:26:26.865  7955 18873 D AvrcpControllerStateMachine: invokeEnterMethods: Disconnecting

05-27 16:26:26.865  7955 18873 D AvrcpControllerStateMachine: Connection state 34:9F:F4:45:0F:AA: 2->3

    1. Connection state 34:9F:F4:45:0F:AA: 2->3

-----

    /** The profile is in connected state /

    int STATE_CONNECTED = 2;

    /* The profile is in disconnecting state */
    int STATE_DISCONNECTING = 3;

设备在断开前，收到了AVRCP passthrough cmd KEYCODE_MEDIA_PLAY.

从日志中，播放是在断开前，从耳机设备侧触发

#6 - 2023-05-29 18:43 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

请帮确认：

１．　该耳机是否支持播放/暂停按键？

２．　在断开连接时，是否有可能触碰到了播放/暂停键？

３．　该问题是否可复现？　（请根据实际填写　Reproducibility选项）

谢谢！

#7 - 2023-05-29 18:44 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to CDTS_Test 吴诗雨

#8 - 2023-06-03 14:18 - CD TEST-方永红

6.3

已同步客户，客户复现确认中

#9 - 2023-07-28 15:01 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD TEST-方永红

#10 - 2023-08-04 10:50 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to DUPLICATE

8.4

客户测试已连续四个版本未复现此问题，先关闭

#11 - 2023-08-04 10:52 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#12 - 2023-08-04 10:53 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
